+1
Under review

"GuestClientVersion < $SERVERVERSION" broken after 20.10 update

IsaacL 3 weeks ago updated 3 weeks ago 2

I have a group that shows me any clients with an outdated version of the client software installed, using "GuestClientVersion < $SERVERVERSION AND GuestConnectedCount = '1'" for the filter.

After updating to 20.10, the group shows no clients, but when I switch it to "GuestClientVersion > $SERVERVERSION", it then shows the outdated clients.

Seems like it somehow thinks the newer version number (20.10) is actually older than the older version number (20.9) for some reason.

Can this be fixed?

Thanks.

ConnectWise Control Version:
Other (please specify)
Server Affected:
Host Client Affected:
Guest Client Affected:

Thanks for your report, we will get that registered, but this filter should yield the results you are looking for:

GuestClientVersion <> $SERVERVERSION AND GuestClientVersion <> ''

I had found the original code online, but going to try that, thanks!

Why would the second part (GuestClientVersion <> '') be necessary?